---@meta

---@class UWG_OptionEntryBar_C : UWG_OptionEntryBase_C
---@field UberGraphFrame FPointerToUberGraphFrame
---@field ProgressBar_103 UProgressBar
---@field CommonText UCommonTextBlock
---@field AnalogSlider UAnalogSlider
---@field ItemDataBar UOptionListItemBar_C
local UWG_OptionEntryBar_C = {}

---@return UWidget
function UWG_OptionEntryBar_C:GetPrimaryGamepadFocusWidget() end
---@param NewValue boolean
function UWG_OptionEntryBar_C:OnItemEnabledUpdated(NewValue) end
---@param Value float
function UWG_OptionEntryBar_C:BndEvt__WG_OptionEntryBar_AnalogSlider_K2Node_ComponentBoundEvent_0_OnFloatValueChangedEvent__DelegateSignature(Value) end
function UWG_OptionEntryBar_C:BP_OnEnabled() end
function UWG_OptionEntryBar_C:BP_OnDisabled() end
---@param ListItemObject UObject
function UWG_OptionEntryBar_C:OnListItemObjectSet(ListItemObject) end
---@param EntryPoint int32
function UWG_OptionEntryBar_C:ExecuteUbergraph_WG_OptionEntryBar(EntryPoint) end


